@import 'global';

.popup {
    z-index: 1000;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 20px;
    background-color: transparentize($noir, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    .popup-conteneur {
        display: flex;
        align-items: center;
        max-width: 900px; 
        width: 100%;
        border-radius: 8px;
        background-color: $blanc;
        img {
            height: 100%;
            width: 40%;
            object-fit: cover;
            border-top-left-radius: 8px;
            border-bottom-left-radius: 8px;
            @include max479 {
                display: none;
            }
        }
        .conteneur-interne {
            position: relative;
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 60%;
            padding: 60px 20px;
            gap: 20px;
            @include max479 {
                width: 100%;
            }
            .popup-titre {
                text-align: center;
            }
            .popup-contenu {
                flex-grow: 1;
                width: 100%;
                .lien-popup {
                    margin-top: 20px;
                }
            }  
            .fermer {
                position: absolute;
                top: 10px;
                right: 20px;
                cursor: pointer;
                font-size: 30px;
                transition: .4s ease-in-out;
                &:hover {
                    color: $couleur_primaire;
                }
            }
        }
    }
}